For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API Reference

Heartbeat ping

POST
https://api.frame.io/v2/devices/heartbeat
POST
/v2/devices/heartbeat
1import requests
2
3url = "https://api.frame.io/v2/devices/heartbeat"
4
5response = requests.post(url)
6
7print(response.json())
Ommit heartbeat event to Frame.io. This powers the device "online" status in the C2C Connections tab on iOS and Web. This should be called no more then once a minute, and no less than once every 5 minutes.
Was this page helpful?
Previous

Create C2C asset

Next

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Response

No Content

Errors

401
Unauthorized Error